import sqlite3
from datetime import datetime

def log_event(camera_id, objects):
    conn = sqlite3.connect('events.db')
    c = conn.cursor()
    for obj in objects:
        c.execute("INSERT INTO events (camera_id, timestamp, object) VALUES (?, ?, ?)", 
                  (camera_id, datetime.now(), str(obj)))
    conn.commit()
    conn.close()

def get_all_events():
    conn = sqlite3.connect('events.db')
    c = conn.cursor()
    c.execute("SELECT * FROM events")
    events = c.fetchall()
    conn.close()
    return events
