# Multi-Camera Surveillance Project

## Overview
This project enables you to connect up to 24 cameras, choose the grid size for video feeds dynamically, and manage the camera settings through a Vue.js frontend with a Flask backend.

### How to Run
1. Install Docker and Docker Compose.
2. Run `docker-compose up --build` in the project directory.
3. Access the frontend at `http://localhost:8080`.
4. Access the backend API documentation at `http://localhost:5000/swagger`.

### Features
- Add and remove cameras.
- Dynamic grid size based on the number of cameras.
- Simple motion detection placeholder (to be implemented).
